darcs

Issue 1930 issue595_get_permissions.sh buggy

Title issue595_get_permissions.sh buggy
Priority bug Status has-patch
Milestone Resolved in
Superseder run tests in separate subdirs
View: 1283
Nosy List dmitry.kurochkin
Assigned To
Topics Devel

Created on 2010-08-22.22:00:59 by igloo, last changed 2020-08-01.16:09:15 by bf.

Messages
msg12272 (view) Author: igloo Date: 2010-08-22.22:00:59
issue595_get_permissions.sh currently looks like:

. lib
rm -rf temp1 temp2
create_and_use tmp_remote tmp_restrictive
rm -rf tmp_remote tmp_restrictive

Note that at the start it cleans the wrong directories.

Wouldn't it be simpler to run each test in a temporary directory, and
remove the directory after it finishes? That would also make the
testsuite trivially parallelisable.
msg12306 (view) Author: kowey Date: 2010-08-25.17:49:10
Cool, thanks for pointing this out.  I recommend we resist the 
temptation to fix this surface problem and just go straight for the kill 
by addressing the deeper issue1283 that Ian reminds us of.

BTS training: waiting-for (and not duplicate) partly to remind us that 
after issue1283 is fixed we can should clean up this test (by deleting 
the boilerplate).  Actually, the boilerplate will likely be swept away 
after the fix anyway, so maybe duplicate is better.  That's why I write 
these BTS training paragraphs.  Making this sort of indecision explicit 
is useful to me.
msg22363 (view) Author: bf Date: 2020-08-01.16:09:14
Sorry kowey, but this is plain nonsense. Test scripts should work 
with -d my-own-directory, too.

The tests script is really completely broken. Fixing issue1283 only 
hides this. Even if all the obvious bugs are fixed it doesn't test 
the right thing because chmod 0111 means chmod a=x, not a=r as was 
apparently intended.

Lesson: don't use octal numbers when there is a much more human 
friendly interface!
History
Date User Action Args
2010-08-22 22:00:59igloocreate
2010-08-25 17:49:11koweysetpriority: bug
status: unknown -> waiting-for
topic: + Devel
superseder: + run tests in separate subdirs
messages: + msg12306
2020-08-01 16:09:15bfsetstatus: waiting-for -> has-patch
messages: + msg22363